\newpage
\subsection{Service 5: Event Reporting}

\begin{description}
	\item[Objective]\hfill\\
	
	This service provides the capability to report all information with a operational signi-ficance which are not reported by other services. To achieve this the service generates reports on four different levels of criticality:
	\begin{itemize}
		\item Informative
		\item Low Severity
		\item Medium Severity
		\item High Severity
	\end{itemize}
	
	All reports with a specified criticality are generated after the occurrence of a specified event. These events occur after being triggered by the on-board HW or the on-board SW including the monitoring of parameter values.\\
	Depending on the level of criticality for each \textit{Event Definition} (ED) different actions are expected. For the levels \textit{Informative} and \textit{Low Severity} no actions are expected. For the level \textit{Medium Severity} a ground action is expected, i.e. no action gets generated automatically, but an action is required. Only for the level \textit{High Severity} an automatic action gets generated.
	Report generation for each single ED can be enabled and disabled separately and a list of the disabled EDs can be requested.\\
	
	\textbf{The identifier of each \textit{Event Definition} (ED ID) has a defined maximum value of 8191 (decimal). This definition implies that the first three bit has to be seen as a filler. Their values are only zeros.}
	\item[Service Summary]\hfill\\
	
	\begin{table}[h]
		\centering
		\begin{tabular}{p{0.1\textwidth}p{0.2\textwidth}p{0.6\textwidth}}
			\toprule
			\textbf{TM/TC} & \textbf{Service-Type, Service Subtype} & \textbf{Description}\\
			\midrule
			\rowcolor{TmHeader!20}TM & 5,1 & Informative event report\\
			\rowcolor{TmHeader!20}TM & 5,2 & Low severity anomaly report\\
			\rowcolor{TmHeader!20}TM & 5,3 & Medium severity anomaly report\\
			\rowcolor{TmHeader!20}TM & 5,4 & High severity anomaly report\\
			\rowcolor{TcHeader!20}TC & 5,5 & Enable the report generation of event definitions\\
			\rowcolor{TcHeader!20}TC & 5,6 & Disable the report generation of event definitions\\
			\rowcolor{TcHeader!20}TC & 5,7 & Report the list of disabled event definitions\\
			\rowcolor{TmHeader!20}TM & 5,8 & Disabled event definitions list report\\
			\bottomrule
		\end{tabular}
		\caption{Service 5 Summary}
	\end{table}
	
\end{description}


% ------------------------------------------------------------------------------
% TM 5,1
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{5,1} & \textbf{Informative event report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports the occurrence of an event with criticality "informative".
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 5 \\
		
		Service Subtype & 1 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TmHeader!85}
			ED ID & Auxiliary Data\\
			\hline
			\hline
			\rowcolor{TmBody}
			Enum & Deduced\\
			\hline
			\rowcolor{TmBody}
			16 Bit & $n\cdot8$ Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Source Data TM(5,1)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{ED ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & The identifier of the event definition which gets reported.\\
		& \\
		\textbf{Auxiliary Data}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=11 &PFC=0 \end{tabular} & Additional data. The structure is dependent from the event definition and identified through the \textit{Event Definition ID}. The size of this field is $n\cdot 8\  Bit$.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 5,2
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{5,2} & \textbf{Low severity anomaly report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports the occurrence of an event with criticality "low severity".
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 5 \\
		
		Service Subtype & 2 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TmHeader!85}
			ED ID & Auxiliary Data\\
			\hline
			\hline
			\rowcolor{TmBody}
			Enum & Deduced\\
			\hline
			\rowcolor{TmBody}
			16 Bit & $n\cdot8$ Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Source Data TM(5,2)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{ED ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & The identifier of the event definition which gets reported.\\
		& \\
		\textbf{Auxiliary Data}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=11 &PFC=0 \end{tabular} & Additional data. The structure is dependent from the event definition and identified through the \textit{Event Definition ID}. The size of this field is $n\cdot 8\  Bit$.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 5,3
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{5,3} & \textbf{Medium severity anomaly report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports the occurrence of an event with criticality "medium severity".
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 5 \\
		
		Service Subtype & 3 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TmHeader!85}
			ED ID & Auxiliary Data\\
			\hline
			\hline
			\rowcolor{TmBody}
			Enum & Deduced\\
			\hline
			\rowcolor{TmBody}
			16 Bit & $n\cdot8$ Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Source Data TM(5,3)
	\end{table}
	
	\item[Parameter definition:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{ED ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & The identifier of the event definition which gets reported.\\
		& \\
		\textbf{Auxiliary Data}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=11 &PFC=0 \end{tabular} & Additional data. The structure is dependent from the event definition and identified through the \textit{Event Definition ID}. The size of this field is $n\cdot 8\  Bit$.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 5,4
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{5,4} & \textbf{High severity anomaly report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports the occurrence of an event with criticality "high severity".
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 5 \\
		
		Service Subtype & 4 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TmHeader!85}
			ED ID & Auxiliary Data\\
			\hline
			\hline
			\rowcolor{TmBody}
			Enum & Deduced\\
			\hline
			\rowcolor{TmBody}
			16 Bit & $n\cdot8$ Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Source Data TM(5,4)
	\end{table}
	
	\item[Parameter definition:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{ED ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & The identifier of the event definition which gets reported.\\
		& \\
		\textbf{Auxiliary Data}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=11 &PFC=0 \end{tabular} & Additional data. The structure is dependent from the event definition and identified through the \textit{Event Definition ID}. The size of this field is $n\cdot 8\  Bit$.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 5,5
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{5,5} & \textbf{Enable the report generation of event definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request enables the report generation for the specified event definitions. Only enabled event definitions will get reported via TM(5,1), TM(5,2), TM(5,3) or TM(5,4).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 5 \\
		
		Service Subtype & 5 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			N & ED ID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit & 16 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Application Data TC(5,5)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of event definitions to enable. The maximum value is 109.\\
		& \\
		\textbf{ED ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & The identifier of a event definition to enable.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 5,6
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{5,6} & \textbf{Disable the report generation of event definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request disables the report generation for the specified event definitions. After disabling the event definition no report will be generated on the occurrence of the corresponding event.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 5 \\
		
		Service Subtype & 6 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			N & ED ID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit & 16 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Application Data TC(5,6)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of event definitions to disable. The maximum value is 109.\\
		& \\
		\textbf{ED ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & The identifier of a event definition to disable.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 5,7
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{5,7} & \textbf{Report the list of disabled event definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a report of all disabled event definitions. The answer for this request is TM(5,8).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 5 \\
		
		Service Subtype & 7 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 5,8
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{5,8} & \textbf{Disabled event definitions list report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports a list of all disabled event definitions. The generation of this TM is initiated by receiving TC(5,7).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 5 \\
		
		Service Subtype & 8 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TmHeader!85}
			N & ED ID\\
			\hline
			\hline
			\rowcolor{TmBody}
			Unsigned Integer & Enum\\
			\hline
			\rowcolor{TmBody}
			8 Bit & 16 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Source Data TM(5,8)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of disabled event definitions. The maximum value is 109. If more EDs are disabled another report has to be generated. \\
		& \\
		\textbf{ED ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & The identifier of a disabled event definition.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill
